package service

import (
	"electricity_bill_calc/global"
	"electricity_bill_calc/model"

	"xorm.io/builder"
)

type _RegionService struct{}

var RegionService _RegionService

func (_RegionService) FetchSubRegions(parent string) ([]model.Region, error) {
	regions := make([]model.Region, 0)
	err := global.DBConn.Where(builder.Eq{"parent": parent}).Asc("code").Find(&regions)
	if err != nil {
		return make([]model.Region, 0), err
	}
	return regions, err
}
